Subject: bug#39349: browse-url-of-dired-file should respect directory symlinks

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 23 Jul 2020 16:05:03 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> LI> This function just needs to do the ../. thing.  Does Emacs have a
> LI> function that just does the right thing the ".." and "/" and does
> LI> absolutely nothing else?
>
> Not sure.

I couldn't find one, either.

Eli, the use case here is that we don't want to chase/resolve symlinks,
but we do want to have "/foo/bar/." -> "/foo/bar" and "/foo/bar/.." ->
"/foo".  Do you know whether such a utility function exists, by any
chance?  If not, would it make sense to add such a function?  (For all
other file names, the function would just return the parameter as is.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no